Skip to main content
POST

Authorizations

Authorization
string
header
required

Supabase user JWT (or an internal service token). Send as Authorization: Bearer <token>.

Body

application/json
input_image_url
string<uri>
required

HTTPS URL of the image to recreate.

Example:

"https://example.com/photo.jpg"

reference_image_url
string<uri>
required

HTTPS URL of the reference style or scene image.

Example:

"https://example.com/reference.jpg"

instructions
string

Additional instructions for the recreation.

Example:

"Make it look more professional"

profile_ids
integer[]

IDs of trained profiles for identity lock.

num_output_images
integer
default:1

Number of images to generate.

Required range: 1 <= x <= 4
output_format
enum<string>
default:png

Output image format.

Available options:
png,
jpg

Response

Recreation completed successfully.

status
integer
Example:

200

data
object